Adding Impressions

This is the POST route to add impressions. Only record an impression if a user clicks on the benefit and it pops up a modal for the user to read more. If so, then an impression is recorded. If the user is signed in, please send in the wallet address of the user. Otherwise, the impression can be added without a wallet address.

Body Params
string

The wallet address of the user that created the impression. This is optional as not all clicks of perks will have the user signed in. Very much preferred to include if user is signed in.

int32

The id of the benefit. This will be found in the object of the benefit that was sent in by the other api.

int32
required

The benefit type id of the benefit. This is found in the object of the benefit that was sent by the main API to display the benefits.

boolean
Defaults to false

Important make the field true if the impression is being shown in a manner where it is boosted

benefitIdsAndTypes
array

Multiple benefit ids and types when impressions are generated simultaneously. The array of objects should look like this: [ {benefitId: Integer, benefitType: Integer}, {benefitId, benefitType}, ... ]

benefitIdsAndTypes
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json